Debians sikkerhedsbulletin

DSA-1528-1 serendipity -- utilstrækkelig fornuftighedskontrol af inddata

Rapporteret den:
24. mar 2008
Berørte pakker:
serendipity
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 469667.
I Mitres CVE-ordbog: CVE-2007-6205, CVE-2008-0124, CVE-2008-1476.
Yderligere oplysninger:

Peter Hüwe og Hanno Böck opdagede at Serendipity, en weblogmanager, ikke på korrekt vis fornuftighedskontrollerede inddata i flere skripter, hvilket gjorde det muligt at udføre skripter på tværs af servere.

Den gamle stabile distribution (sarge) indeholder ikke pakken serendipity.

I den stabile distribution (etch), er dette problem rettet i version 1.0.4-1+etch1.

I den ustabile distribution (sid), er dette problem rettet i version 1.3-1.

Vi anbefaler at du opgraderer din serendipity-pakke.

Rettet i:

Debian GNU/Linux 4.0 (etch)

Kildekode:
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4.orig.tar.gz
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4-1+etch1.diff.gz
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4-1+etch1.dsc
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4-1+etch1_all.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.